# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1855-1 (subversion)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64634);
 script_cve_id("CVE-2009-2411");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"8.5");
 script_tag(name:"risk_factor", value:"Critical");
 script_name("Debian Security Advisory DSA 1855-1 (subversion)");

 desc = "The remote host is missing an update to subversion
announced via advisory DSA 1855-1.

Matt Lewis discovered that Subversion performs insufficient input
validation of svndiff streams.  Malicious servers could cause heap
overflows in clients, and malicious clients with commit access could
cause heap overflows in servers, possibly leading to arbitrary code
execution in both cases.

For the old stable distribution (etch), this problem has been fixed in
version 1.4.2dfsg1-3.

For the stable distribution (lenny), this problem has been fixed in
version 1.5.1dfsg1-4.

For the unstable distribution (sid), this problem has been fixed in
version 1.6.4dfsg-1.

We recommend that you upgrade your Subversion packages.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201855-1

Risk factor : High";

 script_description(desc);

 script_summary("Debian Security Advisory DSA 1855-1 (subversion)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Debian Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"libsvn-javahl", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-ruby", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-doc", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"subversion-tools", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-perl", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-java", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-dev", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-ruby1.8", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn1", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libapache2-svn", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"subversion", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"python-subversion", ver:"1.4.2dfsg1-3", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"subversion-tools", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-doc", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-ruby", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn1", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-perl", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-dev", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libapache2-svn", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"python-subversion", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-ruby1.8", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"subversion", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libsvn-java", ver:"1.5.1dfsg1-4", rls:"DEB5.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
