# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1946-1 (belpic)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66458);
 script_cve_id("CVE-2009-0049");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"5.0");
 script_tag(name:"risk_factor", value:"Medium");
 script_name("Debian Security Advisory DSA 1946-1 (belpic)");

 desc = "The remote host is missing an update to belpic
announced via advisory DSA 1946-1.

It was discovered that belpic, the belgian eID PKCS11 library, does not
properly check the result of an OpenSSL function for verifying
cryptographic signatures, which could be used to bypass the certificate
validation.


For the oldstable distribution (etch), this problem has been fixed in
version 2.5.9-7.etch.1.

For the stable distribution (lenny), this problem has been fixed in
version 2.6.0-6, which was already included in the lenny release.

For the testing distribution (squeeze) and the unstable distribution
(sid), this problem has been fixed in version 2.6.0-6.


We recommend that you upgrade your belpic packages.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201946-1

Risk factor : High";

 script_description(desc);

 script_summary("Debian Security Advisory DSA 1946-1 (belpic)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Debian Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"libbeid2-dev", ver:"2.5.9-7.etch.1", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"beid-tools", ver:"2.5.9-7.etch.1", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"beidgui", ver:"2.5.9-7.etch.1", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libbeidlibopensc2", ver:"2.5.9-7.etch.1", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libbeid2", ver:"2.5.9-7.etch.1", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libbeidlibopensc2-dev", ver:"2.5.9-7.etch.1", rls:"DEB4.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
