# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 622-1
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2007 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largerly excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
if(description)
{
 script_id(53460);
 script_bugtraq_id(12147);
 script_cve_id("CVE-2004-1181");
 script_version ("$");
 script_tag(name:"cvss_base", value:"4.6");
 script_tag(name:"risk_factor", value:"Medium");
 name = "Debian Security Advisory DSA 622-1 (htmlheadline)";
 script_name(name);

 desc = "The remote host is missing an update to htmlheadline
announced via advisory DSA 622-1.

Javier Fernndez-Sanguino Pea has discovered multiple insecure uses
of temporary files that could lead to overwriting arbitrary files via
a symlink attack.

For the stable distribution (woody) these problems have been fixed in
version 21.8-3.

The unstable distribution (sid) does not contain this package.

We recommend that you upgrade your htmlheadline package.


Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%20622-1

Risk factor : High";

 script_description(desc);

 summary = "Debian Security Advisory DSA 622-1 (htmlheadline)";
 script_summary(summary);

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2005 E-Soft Inc. http://www.securityspace.com");
 family = "Debian Local Security Checks";
 script_family(family);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"htmlheadline", ver:"21.8-3", rls:"DEB3.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
