# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-10849 (systemtap)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66142);
 script_cve_id("CVE-2009-2911");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"1.9");
 script_tag(name:"risk_factor", value:"Low");
 script_name("Fedora Core 10 FEDORA-2009-10849 (systemtap)");

 desc = "The remote host is missing an update to systemtap
announced via advisory FEDORA-2009-10849.

Update Information:

Fixes three DOS issues in --unprivileged mode. (CVE-2009-2911)

ChangeLog:

* Wed Oct 21 2009 Josh Stone  - 1.0-2
- Fix three --unprivileged DOS issues (CVE-2009-2911)

References:

[ 1 ] Bug #529175 - CVE-2009-2911 SystemTap 1.0: Multiple denial of service flaws once --unprivileged mode is activated
https://bugzilla.redhat.com/show_bug.cgi?id=529175

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update systemtap' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-10849

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 10 FEDORA-2009-10849 (systemtap)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"systemtap", rpm:"systemtap~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"systemtap-client", rpm:"systemtap-client~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"systemtap-grapher", rpm:"systemtap-grapher~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"systemtap-initscript", rpm:"systemtap-initscript~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"systemtap-runtime", rpm:"systemtap-runtime~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"systemtap-sdt-devel", rpm:"systemtap-sdt-devel~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"systemtap-server", rpm:"systemtap-server~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"systemtap-testsuite", rpm:"systemtap-testsuite~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"systemtap-debuginfo", rpm:"systemtap-debuginfo~1.0~2.fc10", rls:"FC10")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
