# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-12562 (libtool)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66589);
 script_cve_id("CVE-2009-3736");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"6.9");
 script_tag(name:"risk_factor", value:"High");
 script_name("Fedora Core 12 FEDORA-2009-12562 (libtool)");

 desc = "The remote host is missing an update to libtool
announced via advisory FEDORA-2009-12562.

Update Information:

libltdl may load and execute code from a library in the current directory.

ChangeLog:

* Wed Dec  2 2009 Karsten Hopp  2.2.6-17
- fix directory name used in libtool tarball
* Wed Dec  2 2009 Karsten Hopp  2.2.6-16
- update to 2.2.6b, fixes CVE-2009-3736:
libltdl may load and execute code from a library in the current directory

References:

[ 1 ] Bug #537941 - CVE-2009-3736 libtool: libltdl may load and execute code from a library in the current directory
https://bugzilla.redhat.com/show_bug.cgi?id=537941

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update libtool' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-12562

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 12 FEDORA-2009-12562 (libtool)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"libtool", rpm:"libtool~2.2.6~17.fc12", rls:"FC12")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"libtool-ltdl", rpm:"libtool-ltdl~2.2.6~17.fc12", rls:"FC12")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"libtool-ltdl-devel", rpm:"libtool-ltdl-devel~2.2.6~17.fc12", rls:"FC12")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"libtool-debuginfo", rpm:"libtool-debuginfo~2.2.6~17.fc12", rls:"FC12")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
