# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-13121 (ntp)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66511);
 script_cve_id("CVE-2009-3563", "CVE-2009-1252", "CVE-2009-0159", "CVE-2009-0021");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"6.8");
 script_tag(name:"risk_factor", value:"High");
 script_name("Fedora Core 10 FEDORA-2009-13121 (ntp)");

 desc = "The remote host is missing an update to ntp
announced via advisory FEDORA-2009-13121.

Update Information:

This update fixes possible DoS with mode 7 packets. (CVE-2009-3563)

ChangeLog:

* Wed Dec  9 2009 Miroslav Lichvar  4.2.4p7-2
- fix DoS with mode 7 packets (#545557, CVE-2009-3563)

References:

[ 1 ] Bug #531213 - CVE-2009-3563 ntpd: DoS with mode 7 packets (VU#568372)
https://bugzilla.redhat.com/show_bug.cgi?id=531213

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update ntp' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-13121

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 10 FEDORA-2009-13121 (ntp)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"ntp", rpm:"ntp~4.2.4p7~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"ntp-perl", rpm:"ntp-perl~4.2.4p7~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"ntpdate", rpm:"ntpdate~4.2.4p7~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"ntp-debuginfo", rpm:"ntp-debuginfo~4.2.4p7~2.fc10", rls:"FC10")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
