# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-13250 (proftpd)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66583);
 script_cve_id("CVE-2009-3555");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"6.4");
 script_tag(name:"risk_factor", value:"High");
 script_name("Fedora Core 12 FEDORA-2009-13250 (proftpd)");

 desc = "The remote host is missing an update to proftpd
announced via advisory FEDORA-2009-13250.


For details, please visit the referenced advisories.

ChangeLog:

* Thu Dec 10 2009 Paul Howarth  1.3.2c-1
- Update to 1.3.2c, addressing the following issues:
- SSL/TLS renegotiation vulnerability (CVE-2009-3555, bug 3324)
- Failed database transaction can cause mod_quotatab to loop (bug 3228)
- Segfault in mod_wrap (bug 3332)
-  sections can have  problems (bug 3337)
- mod_wrap2 segfaults when a valid user retries the USER command (bug 3341)
- mod_auth_file handles 'getgroups' request incorrectly (bug 3347)
- Segfault caused by scrubbing zero-length portion of memory (bug 3350)
- Drop upstreamed segfault patch
* Thu Dec 10 2009 Paul Howarth  1.3.2b-3
- Add patch for upstream bug 3350 - segfault on auth failures
* Wed Dec  9 2009 Paul Howarth  1.3.2b-2
- Reduce the mod_facts patch to the single commit addressing the issue with
directory names with glob characters (#521634), avoiding introducing a
further problem with  (#544002)

References:

[ 1 ] Bug #533125 - CVE-2009-3555 TLS: MITM attacks via session renegotiation
https://bugzilla.redhat.com/show_bug.cgi?id=533125

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update proftpd' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-13250

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 12 FEDORA-2009-13250 (proftpd)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"proftpd", rpm:"proftpd~1.3.2c~1.fc12", rls:"FC12")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"proftpd-ldap", rpm:"proftpd-ldap~1.3.2c~1.fc12", rls:"FC12")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"proftpd-mysql", rpm:"proftpd-mysql~1.3.2c~1.fc12", rls:"FC12")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"proftpd-postgresql", rpm:"proftpd-postgresql~1.3.2c~1.fc12", rls:"FC12")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"proftpd-debuginfo", rpm:"proftpd-debuginfo~1.3.2c~1.fc12", rls:"FC12")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
