# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-4848 (giflib)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64239);
 script_cve_id("CVE-2005-2974", "CVE-2005-3350");
 script_version ("$");
 script_tag(name:"cvss_base", value:"7.5");
 script_tag(name:"risk_factor", value:"High");
 name = "Fedora Core 10 FEDORA-2009-4848 (giflib)";
 script_name(name);

 desc = "The remote host is missing an update to giflib
announced via advisory FEDORA-2009-4848.

Update Information:

- Update to 4.1.6 containing several upstream fixes etc.  - Solved multilib
problems with documentation (#465208, #474538)  - Removed static library from
giflib-devel package (#225796 #c1)

ChangeLog:

References:

[ 1 ] Bug #494826 - CVE-2005-2974 giflib/libunfig: NULL pointer dereference crash
https://bugzilla.redhat.com/show_bug.cgi?id=494826
[ 2 ] Bug #494823 - CVE-2005-3350 giflib/libunfig: memory corruption via a crafted GIF
https://bugzilla.redhat.com/show_bug.cgi?id=494823

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update giflib' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-4848

Risk factor : High";

 script_description(desc);

 summary = "Fedora Core 10 FEDORA-2009-4848 (giflib)";
 script_summary(summary);

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family = "Fedora Local Security Checks";
 script_family(family);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"giflib", rpm:"giflib~4.1.6~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"giflib-devel", rpm:"giflib-devel~4.1.6~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"giflib-utils", rpm:"giflib-utils~4.1.6~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"giflib-debuginfo", rpm:"giflib-debuginfo~4.1.6~2.fc10", rls:"FC10")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
