# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-5517 (libwmf)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64076);
 script_cve_id("CVE-2009-1364");
 script_version ("$");
 script_tag(name:"cvss_base", value:"7.5");
 script_tag(name:"risk_factor", value:"High");
 name = "Fedora Core 9 FEDORA-2009-5517 (libwmf)";
 script_name(name);

 desc = "The remote host is missing an update to libwmf
announced via advisory FEDORA-2009-5517.

A library for reading and converting Windows MetaFile vector graphics (WMF).

Update Information:

CVE-2009-1364 libwmf: embedded gd use-after-free error

ChangeLog:

* Tue May 26 2009 Caoln McNamara  - 0.2.8.4-18.1
- Resolves: CVE-2009-1364

References:

[ 1 ] Bug #496864 - CVE-2009-1364 libwmf: embedded gd use-after-free error
https://bugzilla.redhat.com/show_bug.cgi?id=496864

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update libwmf' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-5517

Risk factor : High";

 script_description(desc);

 summary = "Fedora Core 9 FEDORA-2009-5517 (libwmf)";
 script_summary(summary);

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family = "Fedora Local Security Checks";
 script_family(family);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"libwmf", rpm:"libwmf~0.2.8.4~18.1.fc9", rls:"FC9")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"libwmf-devel", rpm:"libwmf-devel~0.2.8.4~18.1.fc9", rls:"FC9")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"libwmf-lite", rpm:"libwmf-lite~0.2.8.4~18.1.fc9", rls:"FC9")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"libwmf-debuginfo", rpm:"libwmf-debuginfo~0.2.8.4~18.1.fc9", rls:"FC9")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
