# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-6682 (deluge)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64307);
 script_cve_id("CVE-2009-1760");
 script_version ("$");
 script_tag(name:"cvss_base", value:"5.8");
 script_tag(name:"risk_factor", value:"High");
 name = "Fedora Core 9 FEDORA-2009-6682 (deluge)";
 script_name(name);

 desc = "The remote host is missing an update to deluge
announced via advisory FEDORA-2009-6682.

Update Information:

This release adds a backported upstream patch to fix a directory traversal
vulnerability in the included copy of libtorrent which would allow a remote
attacker to create or overwrite arbitrary files via a .. (dot dot) and partial
relative pathname in a specially-crafted torrent.

ChangeLog:

* Thu Jun 18 2009 Peter Gordon  - 0.5.9.3-2
- Revert CVS files to to 0.9.5.3
- Add backported patch for the included copy of rb_libtorrent to fix
CVE-2009-1760 (#505523):
+ 0.5.9.3-CVE-2009-1760.diff

References:

[ 1 ] Bug #505523 - CVE-2009-1760 rb_libtorrent: arbitrary file overwrite vulnerability
https://bugzilla.redhat.com/show_bug.cgi?id=505523

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update deluge' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-6682

Risk factor : High";

 script_description(desc);

 summary = "Fedora Core 9 FEDORA-2009-6682 (deluge)";
 script_summary(summary);

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family = "Fedora Local Security Checks";
 script_family(family);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"deluge", rpm:"deluge~0.5.9.3~2.fc9", rls:"FC9")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"deluge-debuginfo", rpm:"deluge-debuginfo~0.5.9.3~2.fc9", rls:"FC9")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
