# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-7755 (compat-wxGTK26)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64408);
 script_cve_id("CVE-2009-2369");
 script_version ("$");
 script_tag(name:"cvss_base", value:"6.8");
 script_tag(name:"risk_factor", value:"High");
 name = "Fedora Core 11 FEDORA-2009-7755 (compat-wxGTK26)";
 script_name(name);

 desc = "The remote host is missing an update to compat-wxGTK26
announced via advisory FEDORA-2009-7755.

Update Information:

Added rediffed fix for CVE-2009-2369 as found in wxGTK 2.8.10
ChangeLog:

* Wed Jul 15 2009 Michael Schwendt  - 2.6.4-10
- apply rediffed fix for CVE-2009-2369 (#511279)
* Thu Jun 11 2009 Michael Schwendt  - 2.6.4-9
- glib2 2.21.1's gio in Rawhide F-12 introduces a GSocket that
conflicts with wxGTK's GSocket class (gsocket.h): reduce the glib/gdk
headers that are included during build to avoid conflicting redefinitions
* Sun Jun  7 2009 Michael Schwendt  - 2.6.4-8
- target sparcv9 => setup-sparc.h

References:

[ 1 ] Bug #511279 - wxGTK: Integer overflow in JPEG image decoder (DoS, ACE)
https://bugzilla.redhat.com/show_bug.cgi?id=511279

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update compat-wxGTK26' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-7755

Risk factor : High";

 script_description(desc);

 summary = "Fedora Core 11 FEDORA-2009-7755 (compat-wxGTK26)";
 script_summary(summary);

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 family = "Fedora Local Security Checks";
 script_family(family);
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"compat-wxGTK26", rpm:"compat-wxGTK26~2.6.4~10.fc11", rls:"FC11")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"compat-wxGTK26-devel", rpm:"compat-wxGTK26-devel~2.6.4~10.fc11", rls:"FC11")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"compat-wxGTK26-debuginfo", rpm:"compat-wxGTK26-debuginfo~2.6.4~10.fc11", rls:"FC11")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
