# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-8033 (epiphany-extensions)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64469);
 script_version ("$");
 script_tag(name:"risk_factor", value:"High");
 script_name("Fedora Core 10 FEDORA-2009-8033 (epiphany-extensions)");

 desc = "The remote host is missing an update to epiphany-extensions
announced via advisory FEDORA-2009-8033.

Update Information:

This update is rebuilt against the new Firefox/XULrunner packages from the
FEDORA-2009-7961 security update.

ChangeLog:

* Fri Jul 24 2009 Peter Gordon  - 2.24.3-3
- Rebuild against newer gecko (1.9.0.12).
- Resolves: #513648 (epiphany-extensions dependencies block a security update)

References:

[ 1 ] Bug #513648 - epiphany-extensions dependencies block a security update
https://bugzilla.redhat.com/show_bug.cgi?id=513648

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update epiphany-extensions' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-8033

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 10 FEDORA-2009-8033 (epiphany-extensions)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"epiphany-extensions", rpm:"epiphany-extensions~2.24.3~3.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"epiphany-extensions-debuginfo", rpm:"epiphany-extensions-debuginfo~2.24.3~3.fc10", rls:"FC10")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
