# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-8535 (thunderbird)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64698);
 script_version ("$");
 script_tag(name:"risk_factor", value:"High");
 script_name("Fedora Core 11 FEDORA-2009-8535 (thunderbird)");

 desc = "The remote host is missing an update to thunderbird
announced via advisory FEDORA-2009-8535.

Update Information:

Update to upstream version 3.0 Beta3.  It includes security fixes
recently fixed in stable Thunderbird 2.x and Firefox/Gecko security fixes:

http://www.mozilla.org/security/known-vulnerabilities/thunderbird20.html
http://www.mozilla.org/security/known-vulnerabilities/firefox30.html

ChangeLog:

* Thu Jul 16 2009 Jan Horak  - 3.0-2.6
- Rebuild for update
* Thu Jul 16 2009 Jan Horak  - 3.0-2.5
- Update to 3.0 beta3

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update thunderbird' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-8535

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 11 FEDORA-2009-8535 (thunderbird)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"thunderbird", rpm:"thunderbird~3.0~2.6.b3.fc11", rls:"FC11")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"thunderbird-debuginfo", rpm:"thunderbird-debuginfo~3.0~2.6.b3.fc11", rls:"FC11")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
