# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-8770 (fetchmail)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64818);
 script_cve_id("CVE-2009-2666");
 script_version ("$");
 script_tag(name:"cvss_base", value:"6.4");
 script_tag(name:"risk_factor", value:"High");
 script_name("Fedora Core 10 FEDORA-2009-8770 (fetchmail)");

 desc = "The remote host is missing an update to fetchmail
announced via advisory FEDORA-2009-8770.

Update Information:

If fetchmail is running in daemon mode, it must be restarted for this update to
take effect (use the fetchmail --quit command to stop the fetchmail process).

ChangeLog:

* Wed Aug 19 2009 Vitezslav Crhonek  - 6.3.8-9
- Fix SSL null terminator bypass (CVE-2009-2666)

References:

[ 1 ] Bug #515804 - CVE-2009-2666 fetchmail: SSL null terminator bypass
https://bugzilla.redhat.com/show_bug.cgi?id=515804

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update fetchmail' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-8770

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 10 FEDORA-2009-8770 (fetchmail)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"fetchmail", rpm:"fetchmail~6.3.8~9.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"fetchmail-debuginfo", rpm:"fetchmail-debuginfo~6.3.8~9.fc10", rls:"FC10")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
