# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-9386 (proftpd)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64966);
 script_cve_id("CVE-2009-0542");
 script_version ("$");
 script_tag(name:"cvss_base", value:"7.5");
 script_tag(name:"risk_factor", value:"High");
 script_name("Fedora Core 10 FEDORA-2009-9386 (proftpd)");

 desc = "The remote host is missing an update to proftpd
announced via advisory FEDORA-2009-9386.

Update Information:

This update has a large number of changes from previous Fedora packages; the
highlights are as follows:
- Update to upstream release 1.3.2a
- Fix SQL injection vulnerability at login (#485125, CVE-2009-0542)
- Fix SELinux compatibility (#498375)
- Fix audit logging (#506735)
- Fix default configuration (#509251)
- Many new loadable modules including mod_ctrls_admin and mod_wrap2
- National Language Support (RFC 2640)
- Enable/disable common features in /etc/sysconfig/proftpd

ChangeLog:

* Mon Sep  7 2009 Paul Howarth  1.3.2a-5
- Add upstream patch for MLSD with dirnames containing glob chars (#521634)
* Wed Sep  2 2009 Paul Howarth  1.3.2a-4
- New DSO module: mod_exec (#520214)

References:

[ 1 ] Bug #485125 - CVE-2009-0542 proftpd: SQL injection during login
https://bugzilla.redhat.com/show_bug.cgi?id=485125

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update proftpd' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-9386

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 10 FEDORA-2009-9386 (proftpd)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"proftpd", rpm:"proftpd~1.3.2a~5.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"proftpd-ldap", rpm:"proftpd-ldap~1.3.2a~5.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"proftpd-mysql", rpm:"proftpd-mysql~1.3.2a~5.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"proftpd-postgresql", rpm:"proftpd-postgresql~1.3.2a~5.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"proftpd-debuginfo", rpm:"proftpd-debuginfo~1.3.2a~5.fc10", rls:"FC10")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
