# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory FEDORA-2009-9428 (cyrus-imapd)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64847);
 script_version ("$");
 script_tag(name:"risk_factor", value:"High");
 script_name("Fedora Core 10 FEDORA-2009-9428 (cyrus-imapd)");

 desc = "The remote host is missing an update to cyrus-imapd
announced via advisory FEDORA-2009-9428.

Update Information:

fixes buffer overflow in SIEVE script handling

ChangeLog:

* Mon Sep  7 2009 Michal Hlavinka  - 2.3.14-2
- fix buffer overflow in cyrus sieve (#521010)

References:

[ 1 ] Bug #521010 - cyrus-imapd: buffer overflow in cyrus sieve
https://bugzilla.redhat.com/show_bug.cgi?id=521010

Solution: Apply the appropriate updates.

This update can be installed with the yum update program.  Use 
su -c 'yum update cyrus-imapd' at the command line.
For more information, refer to Managing Software with yum,
available at http://docs.fedoraproject.org/yum/.

https://secure1.securityspace.com/smysecure/catid.html?in=FEDORA-2009-9428

Risk factor : High";

 script_description(desc);

 script_summary("Fedora Core 10 FEDORA-2009-9428 (cyrus-imapd)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Fedora Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/rpms");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-rpm.inc");
vuln = 0;
if(isrpmvuln(pkg:"cyrus-imapd", rpm:"cyrus-imapd~2.3.14~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"cyrus-imapd-devel", rpm:"cyrus-imapd-devel~2.3.14~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"cyrus-imapd-perl", rpm:"cyrus-imapd-perl~2.3.14~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"cyrus-imapd-utils", rpm:"cyrus-imapd-utils~2.3.14~2.fc10", rls:"FC10")) {
    vuln = 1;
}
if(isrpmvuln(pkg:"cyrus-imapd-debuginfo", rpm:"cyrus-imapd-debuginfo~2.3.14~2.fc10", rls:"FC10")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
