#
#VID d67b517d-8214-11de-88ea-001a4d49522b
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID d67b517d-8214-11de-88ea-001a4d49522b
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64576);
 script_version ("$");
 script_tag(name:"risk_factor", value:"High");
 script_name("FreeBSD Ports: bugzilla");

 desc = "The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: bugzilla

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.bugzilla.org/security/3.4/
http://www.vuxml.org/freebsd/d67b517d-8214-11de-88ea-001a4d49522b.html

Risk factor : High";

 script_description(desc);

 script_summary("FreeBSD Ports: bugzilla");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("FreeBSD Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"bugzilla");
if(!isnull(bver) && revcomp(a:bver, b:"3.3.4")>0 && revcomp(a:bver, b:"3.4.1")<0) {
    security_note(0, data:"Package bugzilla version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
