#
#VID 696053c6-0f50-11df-a628-001517351c22
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 696053c6-0f50-11df-a628-001517351c22
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2010 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66818);
 script_cve_id("CVE-2009-3387");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"5.0");
 script_tag(name:"risk_factor", value:"Medium");
 script_name("FreeBSD Ports: bugzilla");

 desc = "The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: bugzilla

CVE-2009-3387
Bugzilla 3.3.1 through 3.4.4, 3.5.1, and 3.5.2 does not allow group
restrictions to be preserved throughout the process of moving a bug to
a different product category, which allows remote attackers to obtain
sensitive information via a request for a bug in opportunistic
circumstances.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.bugzilla.org/security/3.0.10/
http://www.vuxml.org/freebsd/696053c6-0f50-11df-a628-001517351c22.html

Risk factor : High";

 script_description(desc);

 script_summary("FreeBSD Ports: bugzilla");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2010 E-Soft Inc. http://www.securityspace.com");
 script_family("FreeBSD Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"bugzilla");
if(!isnull(bver) && revcomp(a:bver, b:"3.3.1")>0 && revcomp(a:bver, b:"3.4.5")<0) {
    security_note(0, data:"Package bugzilla version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
