#
#VID 30211c45-e52a-11de-b5cd-00e0815b8da8
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 30211c45-e52a-11de-b5cd-00e0815b8da8
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66522);
 script_cve_id("CVE-2009-3897");
 script_bugtraq_id(37084);
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"4.6");
 script_tag(name:"risk_factor", value:"Medium");
 script_name("FreeBSD Ports: dovecot");

 desc = "The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: dovecot

CVE-2009-3897
Dovecot 1.2.x before 1.2.8 sets 0777 permissions during creation of
certain directories at installation time, which allows local users to
access arbitrary user accounts by replacing the auth socket, related
to the parent directories of the base_dir directory, and possibly the
base_dir directory itself.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://secunia.com/advisories/37443
http://www.vuxml.org/freebsd/30211c45-e52a-11de-b5cd-00e0815b8da8.html

Risk factor : High";

 script_description(desc);

 script_summary("FreeBSD Ports: dovecot");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("FreeBSD Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"dovecot");
if(!isnull(bver) && revcomp(a:bver, b:"1.2.8")<0) {
    security_note(0, data:"Package dovecot version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
