#
#VID 0a82ac0c-1886-11df-b0d1-0015f2db7bde
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 0a82ac0c-1886-11df-b0d1-0015f2db7bde
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2010 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66849);
 script_cve_id("CVE-2010-0414", "CVE-2010-0422");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"7.2");
 script_tag(name:"risk_factor", value:"High");
 script_name("FreeBSD Ports: gnome-screensaver");

 desc = "The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: gnome-screensaver

CVE-2010-0414
gnome-screensaver before 2.28.2 allows physically proximate attackers
to bypass screen locking and access an unattended workstation by
moving the mouse position to an external monitor and then
disconnecting that monitor.

Solution:
Update your system with the appropriate patches or
software upgrades.

https://bugzilla.gnome.org/show_bug.cgi?id=609337
https://bugzilla.gnome.org/show_bug.cgi?id=609789
http://www.vuxml.org/freebsd/0a82ac0c-1886-11df-b0d1-0015f2db7bde.html

Risk factor : High";

 script_description(desc);

 script_summary("FreeBSD Ports: gnome-screensaver");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2010 E-Soft Inc. http://www.securityspace.com");
 script_family("FreeBSD Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"gnome-screensaver");
if(!isnull(bver) && revcomp(a:bver, b:"2.28.3")<0) {
    security_note(0, data:"Package gnome-screensaver version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
