#
#VID 856a6f84-8b30-11de-8062-00e0815b8da8
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 856a6f84-8b30-11de-8062-00e0815b8da8
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64786);
 script_cve_id("CVE-2009-2730");
 script_version ("$");
 script_tag(name:"cvss_base", value:"7.5");
 script_tag(name:"risk_factor", value:"High");
 script_name("FreeBSD Ports: gnutls");

 desc = "The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   gnutls
   gnutls-devel

CVE-2009-2730
libgnutls in GnuTLS before 2.8.2 does not properly handle a '\0'
character in a domain name in the subject's (1) Common Name (CN) or
(2) Subject Alternative Name (SAN) field of an X.509 certificate,
which allows man-in-the-middle attackers to spoof arbitrary SSL
servers via a crafted certificate issued by a legitimate Certification
Authority.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://article.gmane.org/gmane.network.gnutls.general/1733
http://secunia.com/advisories/36266
http://www.vuxml.org/freebsd/856a6f84-8b30-11de-8062-00e0815b8da8.html

Risk factor : High";

 script_description(desc);

 script_summary("FreeBSD Ports: gnutls");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("FreeBSD Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"gnutls");
if(!isnull(bver) && revcomp(a:bver, b:"2.8.3")<0) {
    security_note(0, data:"Package gnutls version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"gnutls-devel");
if(!isnull(bver) && revcomp(a:bver, b:"0")>0) {
    security_note(0, data:"Package gnutls-devel version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
