#
#VID 152b27f0-a158-11de-990c-e5b1d4c882e0
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 152b27f0-a158-11de-990c-e5b1d4c882e0
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64894);
 script_cve_id("CVE-2009-2629");
 script_version ("$");
 script_tag(name:"cvss_base", value:"7.5");
 script_tag(name:"risk_factor", value:"High");
 script_name("FreeBSD Ports: nginx");

 desc = "The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
   nginx
   nginx-devel

Solution:
Update your system with the appropriate patches or
software upgrades.

http://nginx.net/CHANGES
http://lists.debian.org/debian-security-announce/2009/msg00205.html
http://www.vuxml.org/freebsd/152b27f0-a158-11de-990c-e5b1d4c882e0.html

Risk factor : High";

 script_description(desc);

 script_summary("FreeBSD Ports: nginx");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("FreeBSD Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"nginx");
if(!isnull(bver) && revcomp(a:bver, b:"0.7.62")<0) {
    security_note(0, data:"Package nginx version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}
bver = portver(pkg:"nginx-devel");
if(!isnull(bver) && revcomp(a:bver, b:"0.8.15")<0) {
    security_note(0, data:"Package nginx-devel version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
