#
#VID 714c1406-e4cf-11de-883a-003048590f9e
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID 714c1406-e4cf-11de-883a-003048590f9e
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(66525);
 script_cve_id("CVE-2009-3585");
 script_bugtraq_id(37162);
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"7.5");
 script_tag(name:"risk_factor", value:"High");
 script_name("FreeBSD Ports: rt");

 desc = "The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: rt

CVE-2009-3585
Session fixation vulnerability in html/Elements/SetupSessionCookie in
Best Practical Solutions RT 3.0.0 through 3.6.9 and 3.8.x through
3.8.5 allows remote attackers to hijack web sessions by setting the
session identifier via a manipulation that leverages a second web
server within the same domain.

Solution:
Update your system with the appropriate patches or
software upgrades.


Risk factor : High";

 script_description(desc);

 script_summary("FreeBSD Ports: rt");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("FreeBSD Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"rt");
if(!isnull(bver) && revcomp(a:bver, b:"3.8.6")<0) {
    security_note(0, data:"Package rt version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
