#
#VID b46f3a1e-a052-11de-a649-000c2955660f
# OpenVAS Vulnerability Test
# $
# Description: Auto generated from VID b46f3a1e-a052-11de-a649-000c2955660f
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisories, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64896);
 script_cve_id("CVE-2009-2947");
 script_version ("$");
 script_tag(name:"cvss_base", value:"4.3");
 script_tag(name:"risk_factor", value:"Medium");
 script_name("FreeBSD Ports: xapian-omega");

 desc = "The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: xapian-omega

Solution:
Update your system with the appropriate patches or
software upgrades.

http://lists.xapian.org/pipermail/xapian-discuss/2009-September/007115.html
http://www.vuxml.org/freebsd/b46f3a1e-a052-11de-a649-000c2955660f.html

Risk factor : High";

 script_description(desc);

 script_summary("FreeBSD Ports: xapian-omega");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("FreeBSD Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/freebsdrel");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-bsd.inc");
vuln = 0;
bver = portver(pkg:"xapian-omega");
if(!isnull(bver) && revcomp(a:bver, b:"1.0.16")<0) {
    security_note(0, data:"Package xapian-omega version " + bver + " is installed which is known to be vulnerable.");
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
