###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_7zip_detect_lin.nasl 1303 2009-04-01 10:40:24Z apr $
#
# 7zip Version Detection (Linux)
#
# Authors:
# Sujit Ghosal <sghosal@secpod.com>
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(800255);
  script_version("Revision: 1.0 ");
  script_tag(name:"risk_factor", value:"None");
  script_name("7zip Version Detection (Linux)");
  desc = "
  Overview : This script finds the installed version of 7zip and saves the
  result in KB.

  Risk factor : None";

  script_description(desc);
  script_summary("Set KB for the version of 7zip");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 Intevation GmbH");
  script_family("General");
  exit(0);
}


include("ssh_func.inc");
include("version_func.inc");

sock = ssh_login_or_reuse_connection();
if(!sock){
  exit(0);
}

paths = find_file(file_name:"7za", file_path:"/", useregex:TRUE,
                  regexpar:"$", sock:sock);
foreach zipBin (paths)
{
  zipVer = get_bin_version(full_prog_name:chomp(zipBin), sock:sock,
                           version_argv:"version",
                           ver_pattern:"p7zip Version ([0-9]\.[0-9][0-9]?)");
  if(zipVer[1] != NULL)
  {
    set_kb_item(name:"7zip/Lin/Ver", value:zipVer[1]);
    security_note(data:"7zip version " + zipVer[1] + " was detected on the host");
    ssh_close_connection();
    exit(0);
  }
}
ssh_close_connection();
