###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_adobe_acrobat_pdf_dos_vuln.nasl 5056 2009-10-05 18:14:26Z oct $
#
# Adobe Acrobat PDF File Denial Of Service Vulnerability
#
# Authors:
# Sharath S <sharaths@secpod.com>
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(801104);
  script_version("$Revision: 1.0 $");
  script_tag(name:"cvss_base", value:"5.0");
  script_tag(name:"risk_factor", value:"Medium");
  script_cve_id("CVE-2009-3431");
  script_bugtraq_id(35148);
  script_name("Adobe Acrobat PDF File Denial Of Service Vulnerability");
  desc = "
  Overview: This host has Adobe Acrobat or Adobe Acrobat Reader installed and
  is prone to Denial of Service vulnerability.

  Vulnerability Insight:
  A Stack consumption error exists when handling a PDF file containing a large
  number of '[' characters to the alert method.

  Impact:
  Successful attacks results in Denial of Service.

  Impact Level: Application

  Affected Software/OS:
  Adobe Acrobat version 9.1.1 and prior on Windows.

  Fix: Upgrade to Adobe Acrobat version 9.1.2 or later,
  For updates refer, http://www.adobe.com/products/acrobat/?promoid=BPDDU

  References:
  http://www.security-database.com/detail.php?alert=CVE-2009-3431

  CVSS Score:
    CVSS Base Score     : 5.0 (AV:N/AC:L/Au:NR/C:N/I:N/A:P)
    CVSS Temporal Score : 4.5
  Risk factor: Medium";

  script_description(desc);
  script_summary("Check for the version of Adobe Acrobat");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 Intevation GmbH");
  script_family("Denial of Service");
  script_dependencies("secpod_adobe_prdts_detect_win.nasl");
  script_require_keys("Adobe/Acrobat/Win/Ver");
  exit(0);
}


include("version_func.inc");

# Check for Adobe Acrobat version <= 9.1.1
acrobatVer = get_kb_item("Adobe/Acrobat/Win/Ver");
if(acrobatVer)
{
  if(version_is_less_equal(version:acrobatVer, test_version:"9.1.1"))
  {
    security_warning(0);
    exit(0);
  }
}
