###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_blazevideo_hdtv_detect.nasl 1011 2009-02-12 09:15:26Z feb $
#
# Blazevideo HDTV Player Version Detection
#
# Authors:
# Nikita MR <rnikita@secpod.com>
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(800512);
  script_version("$Revision: 1.0 $");
  script_tag(name:"risk_factor", value:"None");
  script_name("Blazevideo HDTV Player Version Detection");
  desc = "
  Overview: This script detects the version of Blazevideo HDTV Player
  and sets the version in KB.

  Risk factor: None";

  script_description(desc);
  script_summary("Sets the version in KB for Blazevideo HDTV Player");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 Intevation GmbH");
  script_family("General");
  script_dependencies("secpod_reg_enum.nasl");
  script_require_keys("SMB/WindowsVersion");
  script_require_ports(139, 445);
  exit(0);
}


include("smb_nt.inc");
include("secpod_smb_func.inc");

if(!get_kb_item("SMB/WindowsVersion")){
  exit(0);
}

key = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\";

if(!registry_key_exists(key:key)){
   exit(0);
}

foreach item(registry_enum_keys(key:key))
{
  appName = registry_get_sz(key:key+item, item:"DisplayName");
  if("BlazeDTV" >< appName)
  {
    bvVer = eregmatch(pattern:"BlazeDTV ([0-9.]+)", string:appName);
    if(bvVer[1] != NULL)
    {
      set_kb_item(name:"Blazevideo/HDTV/Ver", value:bvVer[1]);
      security_note(data:"Blaze Video HDTV version " + bvVer[1] +
                         " was detected on the host");
    }
    exit(0);
  }
}
