###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for DevIL FEDORA-2009-13255
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861691);
  script_version("$Revision: 8150 $: 1.0");
  script_tag(name:"cvss_base", value:"9.3");
  script_tag(name:"risk_factor", value:"Critical");
  script_xref(name: "FEDORA", value: "2009-13255");
  script_cve_id("CVE-2009-3994");
  script_name("Fedora Update for DevIL FEDORA-2009-13255");
  desc = "

  Vulnerability Insight:
  Developer's Image Library (DevIL) is a programmer's library to develop
  applications with very powerful image loading capabilities, yet is easy for a
  developer to learn and use. Ultimate control of images is left to the
  developer, so unnecessary conversions, etc. are not performed. DevIL utilizes
  a simple, yet powerful, syntax. DevIL can load, save, convert, manipulate,
  filter and display a wide variety of image formats.


  Affected Software/OS:
  DevIL on Fedora 11

  Fix: Please Install the Updated Packages.

  References:
  http://lists.fedoraproject.org/pipermail/package-announce/2010-January/033809.html

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of DevIL");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (c) 2010 Greenbone Networks GmbH");
  script_family("Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC11")
{

  if(isrpmvuln(pkg:"DevIL", rpm:"DevIL~1.7.8~4.fc11", rls:"FC11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}