###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for stardict FEDORA-2010-0012
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861601);
  script_version("$Revision: 8150 $: 1.0");
  script_tag(name:"cvss_base", value:"5.0");
  script_tag(name:"risk_factor", value:"Medium");
  script_xref(name: "FEDORA", value: "2010-0012");
  script_cve_id("CVE-2009-2260");
  script_name("Fedora Update for stardict FEDORA-2010-0012");
  desc = "

  Vulnerability Insight:
  StarDict is a Cross-Platform and international dictionary written in Gtk2.
  It has powerful features such as &quot;Glob-style pattern matching,&quot;
  &quot;Scan selection word,&quot; &quot;Fuzzy query,&quot; etc.


  Affected Software/OS:
  stardict on Fedora 12

  Fix: Please Install the Updated Packages.

  References:
  https://www.redhat.com/archives/fedora-package-announce/2010-January/msg00121.html

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of stardict");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (c) 2010 Greenbone Networks GmbH");
  script_family("Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC12")
{

  if(isrpmvuln(pkg:"stardict", rpm:"stardict~3.0.1~20.fc12", rls:"FC12"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}