###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for fwbuilder FEDORA-2010-0157
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861706);
  script_version("$Revision: 7426 $: 1.0");
  script_tag(name:"risk_factor", value:"High");
  script_xref(name: "FEDORA", value: "2010-0157");
  script_name("Fedora Update for fwbuilder FEDORA-2010-0157");
  desc = "

  Vulnerability Insight:
  Firewall Builder consists of a GUI and set of policy compilers for
  various firewall platforms. It helps users maintain a database of
  objects and allows policy editing using simple drag-and-drop
  operations. GUI generates firewall description in the form of XML
  file, which compilers then interpret and generate platform-specific
  code. Several algorithms are provided for automated network objects
  discovery and bulk import of data. The GUI and policy compilers are
  completely independent, this provides for a consistent abstract model
  and the same GUI for different firewall platforms.


  Affected Software/OS:
  fwbuilder on Fedora 12

  Fix: Please Install the Updated Packages.

  References:
  http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035112.html

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of fwbuilder");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (c) 2010 Greenbone Networks GmbH");
  script_family("Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC12")
{

  if(isrpmvuln(pkg:"fwbuilder", rpm:"fwbuilder~3.0.7~1.fc12", rls:"FC12"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}