###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for openldap FEDORA-2010-0752
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861753);
  script_version("$Revision: 7426 $: 1.0");
  script_tag(name:"cvss_base", value:"6.8");
  script_tag(name:"risk_factor", value:"High");
  script_xref(name: "FEDORA", value: "2010-0752");
  script_cve_id("CVE-2009-3767");
  script_name("Fedora Update for openldap FEDORA-2010-0752");
  desc = "

  Vulnerability Insight:
  OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
  Protocol) applications and development tools. LDAP is a set of
  protocols for accessing directory services (usually phone book style
  information, but other information is possible) over the Internet,
  similar to the way DNS (Domain Name System) information is propagated
  over the Internet. The openldap package contains configuration files,
  libraries, and documentation for OpenLDAP.


  Affected Software/OS:
  openldap on Fedora 11

  Fix: Please Install the Updated Packages.

  References:
  http://lists.fedoraproject.org/pipermail/package-announce/2010-March/036138.html

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of openldap");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (c) 2010 Greenbone Networks GmbH");
  script_family("Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC11")
{

  if(isrpmvuln(pkg:"openldap", rpm:"openldap~2.4.15~7.fc11", rls:"FC11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}