###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for pidgin FEDORA-2010-1279
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861669);
  script_version("$Revision: 8150 $: 1.0");
  script_tag(name:"cvss_base", value:"10.0");
  script_tag(name:"risk_factor", value:"Critical");
  script_xref(name: "FEDORA", value: "2010-1279");
  script_cve_id("CVE-2010-0277", "CVE-2010-0420", "CVE-2010-0423", "CVE-2010-0013", "CVE-2009-3615", "CVE-2009-2703", "CVE-2009-3083", "CVE-2009-3084", "CVE-2009-3085", "CVE-2009-2694");
  script_name("Fedora Update for pidgin FEDORA-2010-1279");
  desc = "

  Vulnerability Insight:
  Pidgin allows you to talk to anyone using a variety of messaging
  protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
  ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
  Zephyr.  These protocols are implemented using a modular, easy to
  use design.  To use a protocol, just add an account using the
  account editor.
  
  Pidgin supports many common features of other clients, as well as many
  unique features, such as perl scripting, TCL scripting and C plugins.
  
  Pidgin is not affiliated with or endorsed by America Online, Inc.,
  Microsoft Corporation, Yahoo! Inc., or ICQ Inc.


  Affected Software/OS:
  pidgin on Fedora 11

  Fix: Please Install the Updated Packages.

  References:
  http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035332.html

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of pidgin");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (c) 2010 Greenbone Networks GmbH");
  script_family("Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC11")
{

  if(isrpmvuln(pkg:"pidgin", rpm:"pidgin~2.6.6~1.fc11", rls:"FC11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}