###############################################################################
# OpenVAS Vulnerability Test
#
# Fedora Update for bltk FEDORA-2010-1327
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(861637);
  script_version("$Revision: 7426 $: 1.0");
  script_tag(name:"risk_factor", value:"High");
  script_xref(name: "FEDORA", value: "2010-1327");
  script_name("Fedora Update for bltk FEDORA-2010-1327");
  desc = "

  Vulnerability Insight:
  This tool kit is used to measure battery life and performance under
  different workloads on Linux. Test can be used with various workloads to
  simulate different types of laptop usage.
  The following workloads are currently implemented:
  	a) Idle workload - collect statistics only
  	b) Developer workload - simulates code development in Linux environment
  	c) Reader workload - simulates text reading on laptop
  	d) DVD playback workload - simulates laptop entertaining usage
  	e) 3d game workload - simulates 3D-gaming on laptop
  	f) Office Activity workload - simulates laptop usage for different
  		office activities (based on OpenOffice.org office suit)


  Affected Software/OS:
  bltk on Fedora 11

  Fix: Please Install the Updated Packages.

  References:
  http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035245.html

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of bltk");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (c) 2010 Greenbone Networks GmbH");
  script_family("Fedora Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "FC11")
{

  if(isrpmvuln(pkg:"bltk", rpm:"bltk~1.0.8~3.fc11", rls:"FC11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}