##############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_ideal_administrator_detect.nasl 6181 2009-12-11 20:10:24Z dec $
#
# Ideal Administration Version Detection
#
# Authors:
# Antu Sanadi <santu@secpod.com>
#
# Copyright:
# Copyright (c) 2009 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(801087);
  script_version("$Revision: 1.0 $");
  script_tag(name:"risk_factor", value:"None");
  script_name("Ideal Administration Version Detection");
  desc = "
  Overview : This script finds the installed Ideal Administration and saves the
  version in KB.

  Risk factor : None";

  script_description(desc);
  script_summary("Set Version of Ideal Administration in KB");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 Greenbone Networks GmbH");
  script_family("Service detection");
  script_dependencies("secpod_reg_enum.nasl");
  script_require_keys("SMB/WindowsVersion");
  script_require_ports(139, 445);
  exit(0);
}


include("smb_nt.inc");
include("secpod_smb_func.inc");

if(!get_kb_item("SMB/WindowsVersion")){
  exit(0);
}

if(!registry_key_exists(key:"SOFTWARE\Microsoft\Windows\CurrentVersion" +
                            "\App Paths\IA.exe")){
  exit(0);
}

key = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\";
foreach item (registry_enum_keys(key:key))
{
  iadmName = registry_get_sz(key:key + item, item:"DisplayName");
  if("IDEAL Administration" >< iadmName)
  {
    iadmVer = registry_get_sz(key:key + item, item:"DisplayVersion");
    if(iadmVer != NULL)
    {
      set_kb_item(name:"IDEAL/Admin/Ver", value:iadmVer);
      security_note(data:"IDEAL Administration version " + iadmVer + " was detected on the host");
    }
  }
}
