###############################################################################
# OpenVAS Vulnerability Test
#
# Mandriva Update for timezone MDVA-2010:006-1 (timezone)
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(830914);
  script_version("$Revision: 7452 $: 1.0");
  script_tag(name:"risk_factor", value:"High");
  script_xref(name: "MDVA", value: "2010:006-1");
  script_name("Mandriva Update for timezone MDVA-2010:006-1 (timezone)");
  desc = "

  Vulnerability Insight:

  Updated timezone packages are being provided for older Mandriva Linux
  systems that do not contain new Daylight Savings Time information
  and Time Zone information for some locations. These updated packages
  contain the new information.
  
  Update:
  
  The MDVA-2010:006 advisory did not provide updated timezone packages
  for MNF2, CS4 and 2008.0. This advisory provides the missing packages.
  
  Packages for 2008.0 are provided for Corporate Desktop 2008.0
  customers.

  Affected Software/OS:
  timezone on Mandriva Linux 2008.0,
  Mandriva Linux 2008.0/X86_64

  Fix: Please Install the Updated Packages.

  References:
  http://lists.mandriva.com/security-announce/2010-02/msg00054.php

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of timezone");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (c) 2010 Greenbone Networks GmbH");
  script_family("Mandrake Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-rpm.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "MNDK_2008.0")
{

  if(isrpmvuln(pkg:"timezone-2009u", rpm:"timezone-2009u~1.1mdv2008.0", rls:"MNDK_2008.0"))
  {
    security_hole(0);
    exit(0);
  }

  if(isrpmvuln(pkg:"timezone-java-2009u", rpm:"timezone-java-2009u~1.1mdv2008.0", rls:"MNDK_2008.0"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}