###############################################################################
# OpenVAS Vulnerability Test
#
# Solaris Update for kernel update  and Apache 108528-29
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(855147);
  script_version("$Revision: 1.0 $");
  script_tag(name:"risk_factor", value:"High");
  script_xref(name: "SUNSolve", value: "108528-29");
  script_name( "Solaris Update for kernel update  and Apache 108528-29");
  desc = "

  Vulnerability Insight:
  The remote host is missing a patch containing a security fix,
  which affects the following component(s): 
  kernel update  and Apache
  For more information please visit the below reference link.

  Affected Software/OS:
  kernel update  and Apache on solaris_5.8_sparc

  Fix: Please Install the Updated Packages.

  References:
  http://sunsolve.sun.com/search/document.do?assetkey=1-21-108528-29-1

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of kernel update  and Apache");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 Intevation GmbH");
  script_family("Solaris Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/solosversion");
  exit(0);
}


include("solaris.inc");

release = get_kb_item("ssh/login/solosversion");

if(release == NULL){
  exit(0);
}

if(solaris_check_patch(release:"5.8", arch:"sparc", patch:"108528-29", package:"SUNWapchS SUNWcar.us SUNWncaux SUNWpmux SUNWpmu SUNWpiclh SUNWarc SUNWscpu SUNWcar.d SUNWpiclx SUNWcar.m SUNWidn.u SUNWmdb SUNWwrsmx.u SUNWncar SUNWcpr.u SUNWapchr SUNWkvm.u SUNWcpcx.us SUNWncarx SUNWkvmx.u SUNWkvm.us FJSVhea SUNWarcx SUNWcsl SUNWkvmx.us SUNWusx.u SUNWefcx.u SUNWcprx.us FJSVmdbx SUNWdrr.u FJSVpiclu SUNWdrrx.us SUNWwrsdx.u SUNWcprx.u SUNWcsxu SUNWcarx.us SUNWpiclu SUNWmdbx FJSVvplr.us SUNWcpr.us SUNWdrr.us SUNWcsr SUNWwrsux.u SUNWfruid SUNWncau SUNWtnfc SUNWcpcx.u FJSVmdb SUNWcpr.m SUNWhea SUNWpmr SUNWcslx SUNWcpc.us SUNWcstlx SUNWapchd SUNWcarx.u FJSVvplu.us SUNWcsu SUNWcar.u SUNWdrrx.u SUNWsrh SUNWfruip.u SUNWapchu SUNWidnx.u SUNWcpc.u SUNWfruix SUNWcstl SUNWtnfcx") < 0)
{
  security_hole(0);
  exit(0);
}