###############################################################################
# OpenVAS Vulnerability Test
#
# Solaris Update for ldap library 114242-55
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(855850);
  script_version("$Revision: 7466 $: 1.0");
  script_tag(name:"risk_factor", value:"High");
  script_xref(name: "SUNSolve", value: "114242-55");
  script_name("Solaris Update for ldap library 114242-55");
  desc = "

  Vulnerability Insight:
  The remote host is missing a patch containing a security fix,
  which affects the following component(s): 
  ldap library
  For more information please visit the below reference link.

  Affected Software/OS:
  ldap library on solaris_5.9_x86

  Fix: Please Install the Updated Packages.

  References:
  http://sunsolve.sun.com/search/document.do?assetkey=1-21-114242-55-1

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of ldap library");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (c) 2010 Greenbone Networks GmbH");
  script_family("Solaris Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/solosversion");
  exit(0);
}


include("solaris.inc");

release = get_kb_item("ssh/login/solosversion");

if(release == NULL){
  exit(0);
}

if(solaris_check_patch(release:"5.9", arch:"i386", patch:"114242-55", package:"SUNWarc SUNWcsl SUNWnisu SUNWhea SUNWcsu SUNWcstl") < 0)
{
  security_hole(0);
  exit(0);
}