###############################################################################
# OpenVAS Vulnerability Test
#
# Solaris Update for Kernel 139556-08
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(855487);
  script_version("$Revision: 1.0 $");
  script_tag(name:"risk_factor", value:"High");
  script_xref(name: "SUNSolve", value: "139556-08");
  script_name( "Solaris Update for Kernel 139556-08");
  desc = "

  Vulnerability Insight:
  The remote host is missing a patch containing a security fix,
  which affects the following component(s): 
  Kernel
  For more information please visit the below reference link.

  Affected Software/OS:
  Kernel on solaris_5.10_x86

  Fix: Please Install the Updated Packages.

  References:
  http://sunsolve.sun.com/search/document.do?assetkey=1-21-139556-08-1

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of Kernel");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 Intevation GmbH");
  script_family("Solaris Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/solosversion");
  exit(0);
}


include("solaris.inc");

release = get_kb_item("ssh/login/solosversion");

if(release == NULL){
  exit(0);
}

if(solaris_check_patch(release:"5.10", arch:"i386", patch:"139556-08", package:"SUNWudaplu SUNWpsu SUNWudapltu SUNWrds SUNWarc SUNWiscsitgtr SUNWipfu SUNWfmd SUNWintgige SUNWbtool SUNWcry SUNWsmapi SUNWtavor SUNWipfh SUNWmdb SUNWzfsu SUNWpapi SUNWpool SUNWibsdpib SUNWxcu4 SUNWdtrc SUNWcsl SUNWcpcu SUNWsadmi SUNWiscsitgtu SUNWib SUNWnisu SUNWos86r SUNWtoo SUNWcryr SUNWfmdr SUNWppm SUNWzfsr SUNWroute SUNWckr SUNWcsr SUNWdoc SUNWmdbr SUNWlxr SUNWpcu SUNWgrubS SUNWzfskr SUNWarcr SUNWnxge.i SUNWhea SUNWcakr.i SUNWnfsckr SUNWdtrp SUNWcslr SUNWlxu SUNWcsu SUNWesu SUNWcsd SUNWhermon SUNWloc SUNWpsm-lpd SUNWgrub SUNWzoneu SUNWudfr SUNWauda") < 0)
{
  security_hole(0);
  exit(0);
}