###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_wampserver_detect.nasl 7422 2010-03-01 16:20:36Z mar $
#
# WampServer Version Detection
#
# Authors:
# Madhuri D <dmadhuri@secpod.com>
#
# Copyright:
# Copyright (c) 2010 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(800297);
  script_version("$Revision: 7732 $: 1.0");
  script_tag(name:"risk_factor", value:"None");
  script_name("WampServer Version Detection");
  desc = "
  Overview: This script finds the installed WampServer version and
  saves the result in KB.

  Risk factor: None";

  script_description(desc);
  script_summary("Set the version of WampServer in KB");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2010 Greenbone Networks GmbH");
  script_family("Service detection");
  script_require_ports("Services/www", 80);
  exit(0);
}


include("http_func.inc");
include("http_keepalive.inc");

wampPort = get_http_port(default:80);
if(!wampPort){
  wampPort = 80;
}

if(get_port_state(wampPort))
{
  sndReq = http_get(item: "/index.php", port:wampPort);
  rcvRes = http_keepalive_send_recv(port:wampPort, data:sndReq);
  if("WampServer" >< rcvRes)
  {
    wampVer = eregmatch(pattern:">[vV]ersion ([0-9.a-z]+)" , string:rcvRes);
    if(wampVer[1] != NULL){
      set_kb_item(name:"www/" + wampPort + "/WampServer",value:wampVer[1]);
      security_note(data:"WampServer version " + wampVer[1] +
                         " was detected on the host");
    }
  }
}
