#
# This script was written by Mathieu Perrin <mathieu@tpfh.org>
#
# See the Nessus Scripts License for details
#

if(description)
{
 script_id(10164);
 script_bugtraq_id(2563);
 script_version ("$Revision: 7516 $");
 script_tag(name:"cvss_base", value:"7.5");
 script_tag(name:"risk_factor", value:"High");
 script_cve_id("CVE-1999-1177", "CVE-2001-0400");
 
 name = "nph-publish.cgi";
 script_name(name);

 desc = "The 'nph-publish.cgi' is installed. This CGI has
 a well known security flaw that lets an attacker to execute arbitrary
 commands with the privileges of the http daemon (usually root or nobody).

Solution :  remove it from /cgi-bin.

Risk factor : High";




 script_description(desc);

 summary = "Checks for the presence of /cgi-bin/nph-publish.cgi";
   
 script_summary(summary);

 script_category(ACT_GATHER_INFO);


 script_copyright("This script is Copyright (C) 1999 Mathieu Perrin");

 family = "Web application abuses";
 script_family(family);
 script_dependencie("find_service.nes", "no404.nasl");
 script_require_ports("Services/www", 80);
 
 exit(0);
}	  
  
#
# The script code starts here
#
include("http_func.inc");
include("http_keepalive.inc");
include("global_settings.inc");

if ( report_paranoia < 2 ) exit(0);

port = get_http_port(default:80);
res = is_cgi_installed_ka(port:port, item:"nph-publish.cgi");
if( res )security_hole(port);
