###############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_avg_detect_win.nasl 2477 2009-05-28 15:10:24Z may $
#
# AVG AntiVirus Version Detection (Win)
#
# Authors:
# Sujit Ghosal <sghosal@secpod.com>
#
# Copyright:
# Copyright (c) 2009 SecPod, http//www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(900718);
  script_version("$Revision: 1.0 $");
  script_tag(name:"risk_factor", value:"None");
  script_name("AVG AntiVirus Version Detection");
  desc = "

  Overview : This script is detects the installed version of AVG AntiVirus and
  sets the result in KB.

  Risk factor : None";

  script_description(desc);
  script_summary("Set Version of AVG AntiVirus in KB");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 SecPod");
  script_family("Service detection");
  script_dependencies("secpod_reg_enum.nasl");
  script_require_keys("SMB/WindowsVersion");
  script_require_ports(139, 445);
  exit(0);
}


include("smb_nt.inc");
include("secpod_smb_func.inc");

if(!get_kb_item("SMB/WindowsVersion")){
  exit(0);
}

if(!registry_key_exists(key:"SOFTWARE\AVG")){
  exit(0);
}

for(i=1; i<=8; i++)
{
  avgVer = registry_get_sz(key:"SOFTWARE\AVG\AVG" + i +
                               "\LinkScanner\Prevalence", item:"CODEVER");
  if(avgVer != NULL){
    set_kb_item(name:"AVG/AV/Win/Ver", value:avgVer);
    security_note(data:"AVG AntiVirus version " + avgVer + " was detected on the host");
  }
}
