##############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_efront_detect.nasl 5289 2009-10-30 11:38:29Z oct $
#
# eFront Version Detection
#
# Authors:
# Antu Sanadi <santu@secpod.com>
#
# Copyright:
# Copyright (c) 2009 SecPod, http://www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
################################################################################

if(description)
{
  script_id(901044);
  script_version("$Revision: 1.0 $");
  script_tag(name:"risk_factor", value:"None");
  script_name("eFront Version Detection");
  desc = "
  Overview: This script detects the installed Efront version and sets
  the result in KB.

  Risk factor:None";

  script_description(desc);
  script_summary("Set KB for the version of eFront");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 SecPod");
  script_family("Service detection");
  script_dependencies("http_version.nasl");
  script_require_ports("Services/www", 80);
  exit(0);
}


include("http_func.inc");
include("http_keepalive.inc");

efrontPort = get_http_port(default:80);
if(!efrontPort){
  exit(0);
}

foreach dir (make_list("/", "/eFront", cgi_dirs()))
{
  sndReq = http_get(item:string(dir, "/www/index.php"), port:efrontPort);
  rcvRes = http_send_recv(port:efrontPort, data:sndReq);

  if(("eFront" >< rcvRes) && ("Login" >< rcvRes))
  {
    efrontVer = eregmatch(pattern:"version ([0-9.]+)", string:rcvRes);
    if(efrontVer[1] != NULL){
      set_kb_item(name:"www/"+ efrontPort + "/eFront",
                  value:efrontVer[1] + " under " + dir);
      security_note(data:"eFront version " + efrontVer[1] +
                 " running at location " + dir +  " was detected on the host");
    }
  }
}
