###############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_home_ftp_server_detect.nasl 5881 2009-11-27 11:36:29Z nov $
#
# Home FTP Server Version Detection
#
# Authors:
# Maneesh KB <kmaneesh@secpod.com>
#
# Copyright:
# Copyright (c) 2009 SecPod, http://www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(900259);
  script_version("$Revision: 1.0 $");
  script_tag(name:"risk_factor", value:"None");
  script_name("Home FTP Server Version Detection");
  desc = "
  Overview: This script detects the installed version of Home FTP Server
  and sets the result in KB.

  Risk factor: None";

  script_description(desc);
  script_summary("Set KB for the version of Home FTP Server");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 SecPod");
  script_family("Service detection");
  script_dependencies("secpod_reg_enum.nasl");
  script_require_keys("SMB/WindowsVersion");
  script_require_ports(139, 445);
  exit(0);
}


include("smb_nt.inc");
include("secpod_smb_func.inc");

if(!get_kb_item("SMB/WindowsVersion")){
  exit(0);
}

key = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\";
if(!registry_key_exists(key:key)){
  exit(0);
}

foreach item (registry_enum_keys(key:key))
{
  hftpName = registry_get_sz(key:key + item, item:"DisplayName");
  hftpVer = eregmatch(pattern:"(Home Ftp Server) ([0-9.]+)",string:hftpName);

  if(!isnull(hftpVer[2])){
    set_kb_item(name:"HomeFTPServer/Ver", value:hftpVer[2]);
    security_note(data:"Home FTP Server version " + hftpVer[2] +
                                            " was detected on the host");
  }
}
