##############################################################################
# OpenVAS Vulnerability Test
# $Id: secpod_ruby_detect_win.nasl 6202 2009-12-22 13:10:24Z dec $
#
# Ruby Interpreter Version Detection (Windows)
#
# Authors:
# Sujit Ghosal <sghosal@secpod.com>
#
# Copyright:
# Copyright (c) 2009 SecPod, http//www.secpod.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(900799);
  script_version("$Revision: 7734 $: 1.0");
  script_tag(name:"risk_factor", value:"None");
  script_name("Ruby Interpreter Version Detection (Windows)");
  desc = "
  Overview : This script finds the installed Ruby Interpreter and saves the
  version in KB.

  Risk factor : None";

  script_description(desc);
  script_summary("Set version of Ruby Interpreter in KB");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 SecPod");
  script_family("Service detection");
  script_dependencies("secpod_reg_enum.nasl");
  script_require_keys("SMB/WindowsVersion");
  script_require_ports(139, 445);
  exit(0);
}


include("smb_nt.inc");
include("secpod_smb_func.inc");

if(!get_kb_item("SMB/WindowsVersion")){
  exit(0);
}

key = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\";

if(!registry_key_exists(key:key)){
      exit(0);
}

foreach item (registry_enum_keys(key:key))
{
  name = registry_get_sz(key:key + item, item:"DisplayName");
  if("Ruby" >< name)
  {
    rubyVer = registry_get_sz(key:key + item, item:"DisplayVersion");
    if(rubyVer != NULL)
    {
      replace = ereg_replace(pattern:"-", string:rubyVer, replace:".");
      version = set_kb_item(name:"Ruby/Win/Ver", value:replace);
      security_note(data:"Ruby version " + replace +
                         " was detected on the host");
    }
  }
}
