# OpenVAS Vulnerability Test
# $Id$
# Description: Auto-generated from advisory DSA 1857-1 (camlimages)
#
# Authors:
# Thomas Reinke <reinke@securityspace.com>
#
# Copyright:
# Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com
# Text descriptions are largely excerpted from the referenced
# advisory, and are Copyright (c) the respective author(s)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or at your option, GNU General Public License version 3,
# as published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

if(description)
{
 script_id(64633);
 script_cve_id("CVE-2009-2660");
 script_version ("$Revision$");
 script_tag(name:"cvss_base", value:"6.8");
 script_tag(name:"risk_factor", value:"High");
 script_name("Debian Security Advisory DSA 1857-1 (camlimages)");

 desc = "The remote host is missing an update to camlimages
announced via advisory DSA 1857-1.

Tielei Wang discovered that CamlImages, an open source image processing
library, suffers from several integer overflows which may lead to a
potentially exploitable heap overflow and result in arbitrary code
execution. This advisory addresses issues with the reading of JPEG and
GIF Images, while DSA 1832-1 addressed the issue with PNG images.

For the oldstable distribution (etch), this problem has been fixed in
version 2.20-8+etch2.

For the stable distribution (lenny), this problem has been fixed in
version 1:2.2.0-4+lenny2.

For the unstable distribution (sid), this problem has been fixed in
version 1:3.0.1-3.


We recommend that you upgrade your camlimages package.

Solution:
https://secure1.securityspace.com/smysecure/catid.html?in=DSA%201857-1

Risk factor : High";

 script_description(desc);

 script_summary("Debian Security Advisory DSA 1857-1 (camlimages)");

 script_category(ACT_GATHER_INFO);

 script_copyright("Copyright (c) 2009 E-Soft Inc. http://www.securityspace.com");
 script_family("Debian Local Security Checks");
 script_dependencies("gather-package-list.nasl");
 script_require_keys("ssh/login/packages");
 exit(0);
}

#
# The script code starts here
#

include("revisions-lib.inc");
include("pkg-lib-deb.inc");
vuln = 0;
if(isdpkgvuln(pkg:"libcamlimages-ocaml-doc", ver:"2.20-8+etch2", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libcamlimages-ocaml-dev", ver:"2.20-8+etch2", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libcamlimages-ocaml", ver:"2.20-8+etch2", rls:"DEB4.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libcamlimages-ocaml-doc", ver:"2.2.0-4+lenny2", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libcamlimages-ocaml-dev", ver:"2.2.0-4+lenny2", rls:"DEB5.0")) {
    vuln = 1;
}
if(isdpkgvuln(pkg:"libcamlimages-ocaml", ver:"2.2.0-4+lenny2", rls:"DEB5.0")) {
    vuln = 1;
}

if(vuln) {
    security_hole(0);
}
