###############################################################################
# OpenVAS Vulnerability Test
#
# HP-UX Update for OpenSSL HPSBUX02435
#
# Authors:
# System Generated Check
#
# Copyright:
# Copyright (c) 2009 Intevation GmbH, http://www.intevation.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if(description)
{
  script_id(835199);
  script_version("$Revision: 1.0 $");
  script_tag(name:"cvss_base", value:"5.0");
  script_tag(name:"risk_factor", value:"Medium");
  script_xref(name: "HPSBUX", value: "02435");
  script_cve_id("CVE-2009-0590", "CVE-2009-0591", "CVE-2009-0789");
  script_name("HP-UX Update for OpenSSL HPSBUX02435");
  desc = "

  Vulnerability Insight:
  Potential security vulnerabilities have been identified with HP-UX running 
  OpenSSL. These vulnerabilities could be exploited remotely to create a 
  Denial of Service (DoS) and bypass security restrictions. 

  Impact:
  Remote Denial of Service (DoS)
  bypass security restrictions

  Affected Software/OS:
  OpenSSL on
  HP-UX B.11.11, B.11.23, B.11.31 running OpenSSL 

  Fix: Please Install the Updated Packages.

  References:
  http://www11.itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c01762423-1

  Risk factor: High";

  script_description(desc);
  script_summary("Check for the Version of OpenSSL");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2009 Intevation GmbH");
  script_family("HP-UX Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_require_keys("ssh/login/release");
  exit(0);
}


include("pkg-lib-hpux.inc");
include("revisions-lib.inc");

release = get_kb_item("ssh/login/release");

if(release == NULL){
  exit(0);
}

if(release == "HPUX11.31")
{

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-CONF", revision:"FIPS-OPENSSL-1.1.2.051", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-DOC", revision:"FIPS-OPENSSL-1.1.2.051", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-INC", revision:"FIPS-OPENSSL-1.1.2.051", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-LIB", revision:"FIPS-OPENSSL-1.1.2.051", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-MAN", revision:"FIPS-OPENSSL-1.1.2.051", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-MIS", revision:"FIPS-OPENSSL-1.1.2.051", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-RUN", revision:"FIPS-OPENSSL-1.1.2.051", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-SRC", revision:"FIPS-OPENSSL-1.1.2.051", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-CONF", revision:"FIPS-OPENSSL-1.2.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-DOC", revision:"FIPS-OPENSSL-1.2.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-INC", revision:"FIPS-OPENSSL-1.2.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-LIB", revision:"FIPS-OPENSSL-1.2.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-MAN", revision:"FIPS-OPENSSL-1.2.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-MIS", revision:"FIPS-OPENSSL-1.2.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-RUN", revision:"FIPS-OPENSSL-1.2.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-SRC", revision:"FIPS-OPENSSL-1.2.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-CER", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-CONF", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-DOC", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-INC", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-LIB", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-MAN", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-MIS", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-PRNG", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-PVT", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-RUN", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-SRC", revision:"A.00.09.08k.003", rls:"HPUX11.31"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.23")
{

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-CONF", revision:"FIPS-OPENSSL-1.1.2.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-DOC", revision:"FIPS-OPENSSL-1.1.2.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-INC", revision:"FIPS-OPENSSL-1.1.2.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-LIB", revision:"FIPS-OPENSSL-1.1.2.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-MAN", revision:"FIPS-OPENSSL-1.1.2.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-MIS", revision:"FIPS-OPENSSL-1.1.2.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-RUN", revision:"FIPS-OPENSSL-1.1.2.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-SRC", revision:"FIPS-OPENSSL-1.1.2.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-CONF", revision:"FIPS-OPENSSL-1.2.002", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-DOC", revision:"FIPS-OPENSSL-1.2.002", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-INC", revision:"FIPS-OPENSSL-1.2.002", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-LIB", revision:"FIPS-OPENSSL-1.2.002", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-MAN", revision:"FIPS-OPENSSL-1.2.002", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-MIS", revision:"FIPS-OPENSSL-1.2.002", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-RUN", revision:"FIPS-OPENSSL-1.2.002", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-SRC", revision:"FIPS-OPENSSL-1.2.002", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-CER", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-CONF", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-DOC", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-INC", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-LIB", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-MAN", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-MIS", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-PRNG", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-PVT", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-RUN", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-SRC", revision:"A.00.09.07m.050", rls:"HPUX11.23"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}


if(release == "HPUX11.11")
{

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-CONF", revision:"FIPS-OPENSSL-1.1.2.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-DOC", revision:"FIPS-OPENSSL-1.1.2.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-INC", revision:"FIPS-OPENSSL-1.1.2.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-LIB", revision:"FIPS-OPENSSL-1.1.2.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-MAN", revision:"FIPS-OPENSSL-1.1.2.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-MIS", revision:"FIPS-OPENSSL-1.1.2.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-RUN", revision:"FIPS-OPENSSL-1.1.2.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_1_2.FIPS-SRC", revision:"FIPS-OPENSSL-1.1.2.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-CONF", revision:"FIPS-OPENSSL-1.2.001", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-DOC", revision:"FIPS-OPENSSL-1.2.001", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-INC", revision:"FIPS-OPENSSL-1.2.001", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-LIB", revision:"FIPS-OPENSSL-1.2.001", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-MAN", revision:"FIPS-OPENSSL-1.2.001", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-MIS", revision:"FIPS-OPENSSL-1.2.001", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-RUN", revision:"FIPS-OPENSSL-1.2.001", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"fips_1_2.FIPS-SRC", revision:"FIPS-OPENSSL-1.2.001", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-CER", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-CONF", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-DOC", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-INC", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-LIB", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-MAN", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-MIS", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-PRNG", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-PVT", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-RUN", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  if(ishpuxpkgvuln(pkg:"openssl.OPENSSL-SRC", revision:"A.00.09.07m.049", rls:"HPUX11.11"))
  {
    security_hole(0);
    exit(0);
  }

  exit(0);
}