###############################################################################
# OpenVAS Vulnerability Test
# $Id: mysql_36242.nasl 7517 2010-05-04 08:33:01Z chandra $
#
# MySQL 5.x Unspecified Buffer Overflow Vulnerability
#
# Authors:
# Michael Meyer
#
# Copyright:
# Copyright (c) 2009 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

if (description)
{
 script_id(100271);
 script_bugtraq_id(36242);
 script_version ("1.0");
 script_tag(name:"risk_factor", value:"High");

 script_name("MySQL 5.x Unspecified Buffer Overflow Vulnerability");

desc = "Overview:
MySQL is prone to a buffer-overflow vulnerability because if fails to
perform adequate boundary checks on user-supplied data.

An attacker can leverage this issue to execute arbitrary code within
the context of the vulnerable application. Failed exploit attempts
will result in a denial-of-service condition.

This issue affects MySQL 5.x; other versions may also be vulnerable.

References:
http://www.securityfocus.com/bid/36242
http://www.mysql.com/
http://intevydis.com/company.shtml

Risk factor : High";

 script_description(desc);
 script_summary("Determine if mysql version is <= 5.1.32 ");
 script_category(ACT_GATHER_INFO);
 script_family("Databases");
 script_copyright("This script is Copyright (C) 2009 Greenbone Networks GmbH");
 script_dependencie("mysql_version.nasl");
 script_require_ports("Services/mysql", 3306);
 exit(0);
}

include("version_func.inc");
include("misc_func.inc");

port = get_kb_item("Services/mysql");
if(!port)exit(0);
if(!get_tcp_port_state(port))exit(0);

if(!ver = get_mysql_version(port:port))exit(0);
ver = eregmatch(pattern:"[0-9.]+", string: ver);

if(isnull(ver[0]))exit(0);

if(version_in_range(version:ver[0], test_version:"5", test_version2:"5.1.32") ) {
     security_hole(port:port);
     exit(0);
}

exit(0);
